# SPDX-FileCopyrightText: 2018 Dave Astels for Adafruit Industries
#
# SPDX-License-Identifier: MIT

"""
Circuit Playground Express auto-sunglasses/flashlight

Adafruit invests time and resources providing this open source code.
Please support Adafruit and open source hardware by purchasing
products from Adafruit!

Written by Dave Astels for Adafruit Industries
Copyright (c) 2018 Adafruit Industries
Licensed under the MIT license.

All text above must be included in any redistribution.
"""

import time
import board
import pwmio
from adafruit_circuitplayground import cp
from adafruit_motor import servo

pwm = pwmio.PWMOut(board.A1, duty_cycle=2 ** 15, frequency=50)
my_servo = servo.Servo(pwm)

cp.pixels.fill((0, 0, 0))
my_servo.angle = 90
while True:
    if cp.button_a:
        cp.pixels[0:5] = [(255, 0, 0)] * 5
        my_servo.angle = 180
        cp.play_file("bicycle_bell.wav")
    else:
        cp.pixels[0:5] = [(0, 0, 0)] * 5

    if cp.button_b:
        cp.pixels[5:10] = [(0, 255, 0)] * 5
        my_servo.angle = 0
        cp.play_file("bicycle_bell.wav")
    else:
        cp.pixels[5:10] = [(0, 0, 0)] * 5
